listinstrumenthistoryentries.md
List Instrument History Entries
Whenever a stored payment card's details are updated, an Instrument History Entry is created. Use this endpoint to retrieve a list of Instrument History Entries for a specific Payment Instrument.
Endpoint
GET /payment_instruments/{payment_instrument_id}/instrument_history
Security
BasicAuth
Path parameters:
payment_instrument_id(string, required)
The Payment Instrument that triggered the creation of this Instrument History Entry.
Header parameters:
Finix-Version(string)
Specify the API version of your request. For more details, see Versioning.
Example: "2022-02-01"
Query parameters:
after_cursor(string)
Return every resource created after the cursor value.before_cursor(string)
Return every resource created before the cursor value.limit(integer)
The numbers of items to return.
Example: 10
Response 200 fields (application/json):
page(object)
Details the page that's returned.page.limit(integer)
The number of entries to return.page.next_cursor(string, null)
The cursor to use for the next page of results._embedded(object)_embedded.instrument_history_entries(array)_embedded.instrument_history_entries.id(string)
The ID of the Instrument History Entry resource._embedded.instrument_history_entries.created_at(string)
Timestamp of when the object was created._embedded.instrument_history_entries.type(string)
A label indicating the type of update applied to the Payment Instrument. The following enums are possible:
CONTACT_CARDHOLDER: The cardholder has opted out of the service. Please get in touch with the cardholder to acquire up-to-date card information. - FRAUD_REPORTED: Fraud was reported by the Merchant. - NUMBER_AND_EXPIRATION_UPDATED: Both the card number and expiry date changed. - NUMBER_UPDATED: The card number has changed. - NOT_FOUND: The issuing bank does not participate in account updater. This enumerator will only be returned once. Enum: "CONTACT_CARDHOLDER", "FRAUD_REPORTED", "NOT_FOUND", "NUMBER_AND_EXPIRATION_UPDATED", "NUMBER_UPDATED"
_embedded.instrument_history_entries.application_id(string)
The ID of the Application under which the Payment Instrument was created, resulting in this Instrument History Entry._embedded.instrument_history_entries.payment_instrument_id(string)
The Payment Instrument that triggered the creation of this Instrument History Entry._embedded.instrument_history_entries.payment_instrument_type(string)
The type of Payment Instrument that triggered this Instrument History Entry.
Enum: "PAYMENT_CARD"_embedded.instrument_history_entries.old_instrument_details(object)
Object containing the Payment Instrument details prior to the card update._embedded.instrument_history_entries.old_instrument_details.bin(string)
The Bank Identification Number for the Payment Instrument._embedded.instrument_history_entries.old_instrument_details.brand(string)
The brand of the card saved in the Payment Instrument.
Enum: "UNKNOWN", "DINERS_CLUB_INTERNATIONAL", "DANKORT", "MIR", "TROY", "UATP", "CHINA_T_UNION", "CHINA_UNION_PAY", "AMERICAN_EXPRESS", "VERVE", "RUPAY", "DISCOVER", "JCB", "MASTERCARD", "INTERPAYMENT", "INSTAPAYMENT", "MAESTRO", "VISA", "LANKAPAY", "DINERS_CLUB", "INTERAC"_embedded.instrument_history_entries.old_instrument_details.expiration_month(integer)
The expiration month of the card (e.g., 12 for December)._embedded.instrument_history_entries.old_instrument_details.expiration_year(integer)
The 4-digit expiration year of the card._embedded.instrument_history_entries.old_instrument_details.last_four(string)
The last four digits of the card._embedded.instrument_history_entries.old_instrument_details.fingerprint(string)
Unique ID that represents the tokenized card data.
Example: "FPRxxxxxxxxxxxxxxxxx"
_embedded.instrument_history_entries.new_instrument_details(object)
Object containing the Payment Instrument details after the card update._embedded.instrument_history_entries.new_instrument_details.bin(string)
The Bank Identification Number for the Payment Instrument._embedded.instrument_history_entries.new_instrument_details.brand(string)
The brand of the card saved in the Payment Instrument.
Enum: "UNKNOWN", "DINERS_CLUB_INTERNATIONAL", "DANKORT", "MIR", "TROY", "UATP", "CHINA_T_UNION", "CHINA_UNION_PAY", "AMERICAN_EXPRESS", "VERVE", "RUPAY", "DISCOVER", "JCB", "MASTERCARD", "INTERPAYMENT", "INSTAPAYMENT", "MAESTRO", "VISA", "LANKAPAY", "DINERS_CLUB", "INTERAC"_embedded.instrument_history_entries.new_instrument_details.expiration_month(integer)
The expiration month of the card (e.g., 12 for December)._embedded.instrument_history_entries.new_instrument_details.expiration_year(integer)
The 4-digit expiration year of the card._embedded.instrument_history_entries.new_instrument_details.last_four(string)
The last four digits of the card._embedded.instrument_history_entries.new_instrument_details.fingerprint(string)
Unique ID that represents the tokenized card data.
Example: "FPRxxxxxxxxxxxxxxxxx"
_embedded.instrument_history_entries._links(object)
An object containing link(s) relevant to the request. You can store these links for follow-up requests._embedded.instrument_history_entries._links.self(object)_embedded.instrument_history_entries._links.self.href(string)
The path to the Instrument History Entry resource.
_links(object)_links.self(object)
Link to the resource that was used in the request.
_links.self.href(string)_links.next(object)
Link to the next page of entries._links.next.href(string)
Response 401 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 403 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 404 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 406 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.
Response 422 fields (application/json):
total(integer, required)
Total number of errors returned._embedded(object, required)
Container for embedded error objects._embedded.errors(array)
List of individual error objects._embedded.errors.code(string)
The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string)
A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string)
A human-friendly error message._embedded.errors._links(object)
Links related to this error._embedded.errors._links.self(object)
Link to the resource related to the error._embedded.errors._links.self.href(string)
URL of the related resource.